Generates a report with aggregate statistics for checks and check groups.
Generates a report with aggregated statistics for all checks or a filtered set of checks over a specified time window.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Query Parameters
Custom start time of reporting window in unix timestamp format. Setting a custom "from" timestamp overrides the use of any "quickRange".
Custom end time of reporting window in unix timestamp format. Setting a custom "to" timestamp overrides the use of any "quickRange".
Preset reporting windows are used for quickly generating report on commonly used windows. Can be overridden by using a custom "to" and "from" timestamp.
last24Hrs, last7Days, last30Days, thisWeek, thisMonth, lastWeek, lastMonth Use tags to filter the checks you want to see in your report.
Filter checks by activated status. When set to true, only deactivated checks are returned. When set to false, only activated checks are returned. When omitted, all checks are returned.
Split the reporting window into calendar buckets (UTC) and return one aggregate per bucket in "aggregates" instead of a single "aggregate". Requires the REPORTING_GRANULARITY account feature. The window may span at most 400 days and at most 120 buckets at the chosen granularity.
day, week, month Response
Successful
Check name.
"API Check"
Check ID.
"d2881e09-411b-4c8d-84b8-fe05fbca80b6"
Check type.
"API"
Check deactivated.
Check tags.
Whole-window aggregate. Absent when "granularity" is used.
Per-bucket aggregates, ascending by bucket start. Only present when "granularity" is used. Buckets without any check runs are omitted.